// See simple-demo-1.4.1/home/demo/simple/demo/serve/Server.java
// for more

import simple.http.connect.*;
import simple.http.ProtocolHandler;
import simple.http.serve.*;
import simple.http.load.*;
import java.net.ServerSocket;
import java.io.File;


public class DemoServer {

    public static void main(String[] args) throws Exception {
	Context context = new CacheContext(new File("./html"),
					   new File("./conf"));
	System.err.println(context.getLocator().getLocation("Mapper.xml"));
	MapperEngine engine =
	    new MapperEngine(context, new File("./class").getAbsolutePath());
	ProtocolHandler handler =
	    new ResponseDecorator(ProtocolHandlerFactory.getInstance(engine));
	Connection conn = ConnectionFactory.getConnection(handler);
	conn.connect(new ServerSocket(9005));
    }
}
