import simple.http.ProtocolHandler;
import simple.http.Request;
import simple.http.Response;


public class ResponseDecorator implements ProtocolHandler
{
    private ProtocolHandler handler;

    ResponseDecorator(ProtocolHandler handler) {
	this.handler = handler;
    }

    public void handle(Request req, Response resp) {
	resp.set("Server", "DemoServer/1.0");
	long time = System.currentTimeMillis();
	resp.setDate("Date", time);
	resp.setDate("Last-Modified", time);
	this.handler.handle(req, resp);
    }
}
