import simple.http.Request;
import simple.http.Response;
import simple.http.load.Service;
import simple.http.serve.Context;
import java.io.PrintStream;


public class HelloService extends Service {

    public HelloService(Context context) {
	super(context);
    }

    public void process(Request req, Response resp) throws Exception {
	// http://www.iana.org/assignments/media-types/
	resp.set("Content-Type", "text/html");
	PrintStream out = resp.getPrintStream();
	out.println("<html>");
	out.println("<head><title>HelloServer</title></head>");
	out.println("<body>fairly static hello world</body>");
	out.println("</html>");
	// NOTE: you have to close it at the end
	out.close();
    }
}