import simple.http.serve.Context;
import simple.http.serve.FileEngine;
import simple.http.load.Service;
import simple.http.Request;
import simple.http.Response;


public class StaticFileService extends Service {
    
    private FileEngine engine;

    public StaticFileService(Context context) {
	super(context);
	engine = new FileEngine(context);
    }

    public void process(Request req, Response resp) throws Exception {
	engine.resolve(req.getPath().getPath()).handle(req, resp);
    }
}
